Bug 509808 - "Paused" status should disable 'Send Key' option
"Paused" status should disable 'Send Key' option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 07:42 EDT by Qunfang Zhang
Modified: 2010-03-30 04:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:50:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Disable 'Send Key' options when VM is inactive (1.12 KB, text/plain)
2009-12-15 14:24 EST, Cole Robinson
no flags Details

  None (edit)
Description Qunfang Zhang 2009-07-06 07:42:57 EDT
Description of problem:
I click "Send key"->"Ctrl+Alt+Del" when the vm is paused. But after I resume the vm, it will resart. It is unsuitable.


Version-Release number of selected component (if applicable):
xen3.0.3-88.el5
virt-manager-0.6.1-4.el5

How reproducible:
Always

Steps to Reproduce:
1.Create a vm and open it
2.log in the vm and display the desktop.
3.Click "Pause" button.
4.Select "Send Key"->"F1", then select "Send Key"->"Ctrl+Alt+Delete"
5.Click "Pause" button again to resume the vm
  
Actual results:
The vm restarts

Expected results:
The vm stays in the desktop.

Additional info:
Comment 1 Paolo Bonzini 2009-07-09 10:36:40 EDT
This looks more like a UI issue.  The Send Key menu items should be disabled while the VM is paused.
Comment 2 Cole Robinson 2009-12-14 21:38:59 EST
Upstream fix:

http://hg.fedorahosted.org/hg/virt-manager/rev/f714530aff4f
Comment 3 Cole Robinson 2009-12-14 21:39:30 EST
Sorry, correct link is:

http://hg.fedorahosted.org/hg/virt-manager/rev/6e347f113f40
Comment 4 Cole Robinson 2009-12-15 14:24:44 EST
Created attachment 378593 [details]
Disable 'Send Key' options when VM is inactive
Comment 5 Cole Robinson 2009-12-15 14:42:35 EST
Fix built in virt-manager-0_6_1-9_el5
Comment 10 errata-xmlrpc 2010-03-30 04:50:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0281.html

Note You need to log in before you can comment on or make changes to this bug.